package class9_Lab_Command_start;

import java.util.ArrayList;

public class Schedule {

    protected ArrayList<Course> courses = new ArrayList<Course>();;

    public void add(Course cls) {
        courses.add(cls);
    }

    public void sort(Comparator strategy) {
        ArrayList<Course> newList = new ArrayList<>();
        for(int oldIndex = 0; oldIndex < courses.size(); oldIndex++) {
            int newIndex = 0;
            Course newCourse = courses.get(oldIndex);
            while (newIndex < newList.size()
                    && strategy.compare(newList.get(newIndex), newCourse)) {
                newIndex++;
            }
            newList.add(newIndex, newCourse);
        }
        courses = newList;
    }

    public void printAll() {
        for(int i = 0; i < courses.size(); i++) {
            System.out.println("["+i+"]: "+courses.get(i).getName());
        }
    }

    public Course remove(int index) {
        return courses.remove(index);
    }
}
